open Cv

let () =
  let cap = new_VideoCapture 0 in  (* open the default camera *)
  let edges = new_Mat () in
  namedWindow "edges";
  let rec loop () =
    let frame = new_Mat () in
    videoCapture_acq cap frame;
    (*
    cap >> frame; (* get a new frame from camera *)
    cvtColor(frame, edges, CV_BGR2GRAY);
    GaussianBlur(edges, edges, Size(7,7), 1.5, 1.5);
    Canny(edges, edges, 0, 30, 3);
    imshow "edges" edges;
    *)
    imshow "edges" frame;
    if (waitKey 30) < 0 then loop ()
  in
  loop ();
  delete_VideoCapture cap

