#include <opencv2/core/core_c.h>
#include <opencv2/highgui/highgui_c.h>

#define CAML_NAME_SPACE

#include <caml/mlvalues.h>
#include <caml/alloc.h>
#include <caml/memory.h>
#include <caml/fail.h>

#if 0
#define Val_CvCapture(cap) ((value)(cap))
#define CvCapture_val(cap) ((CvCapture *)(cap))

CAMLprim value
caml_cvCreateCameraCapture(value index)
{
    CvCapture *capture = cvCreateCameraCapture(Int_val(index));
    if (!capture) caml_failwith("cvCreateCameraCapture");
    return Val_CvCapture(capture);
}

CAMLprim value
caml_cvReleaseCapture(value capture)
{
    CvCapture *cap = CvCapture_val(capture);
    cvReleaseCapture(&cap);
    return Val_unit;
}
#endif

CAMLprim value
my_cv_test(value unit)
{
    CvCapture *capture = cvCreateCameraCapture(0);
    if (!capture) exit(1);
    cvReleaseCapture(&capture);
    return Val_unit;
}

// vim: sw=4 sts=4 ts=4
