open Core_c
open Highgui_c

let () =
  let capture = cvCreateCameraCapture 0 in
  (* Create a window in which the captured images will be presented *)
  cvNamedWindow "mywindow" Window_AutoSize;
  (* Show the image captured from the camera in the window and repeat *)
  let rec loop () =
    (* Get one frame *)
    let frame = cvQueryFrame capture in
    cvShowImage "mywindow" frame;
    if ((cvWaitKey 1) land 255) <> 27
    then loop ()
  in
  loop ();
  cvReleaseCapture capture;
  cvDestroyWindow "mywindow";
;;
